# overjoy-await
Adds support for ES2017 async functions to [hapi](http://hapijs.com/) route handlers

# Using overjoy-await

## Registering the Plugin

```javascript
var server = new Hapi.Server();
server.register([
  require('overjoy-await'),
], (error) => { ... });
```

## Defining a Route Handler

Define an async function that receives `request` and `reply` like a normal route handler and assign it the `async` property of the route handler.

```javascript
server.route({
  method: 'GET',
  path: '/',
  handler: {
    // Define a property called "async" that's an async function
    async async(request, reply) {
      // instapromise gives you promises from methods with Node-style callbacks
      require('instapromise');
      let fileContents = await fs.promise.readFile('example.txt', 'utf8');
      reply(fileContents);
    },
  },
});
```